Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 639646 - app-text/aspell-0.60.7_rc1 stable request
Summary: app-text/aspell-0.60.7_rc1 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard: Was: app-text/aspell-0.60.6.1-r3 does...
Keywords: STABLEREQ
Depends on:
Blocks: gcc-7
  Show dependency tree
 
Reported: 2017-12-03 17:04 UTC by Jérôme Borme
Modified: 2018-02-02 23:37 UTC (History)
3 users (show)

See Also:
Package list:
app-text/aspell-0.60.7_rc1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments
Build log for app-text/aspell-0.60.6.1-r3 with gcc 7.2.0 (build-aspell-0.60.6.1-r3.txt,17.02 KB, text/plain)
2017-12-04 12:42 UTC, Jérôme Borme
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jérôme Borme 2017-12-03 17:04:49 UTC
modules/filter/tex.cpp: In member function ‘bool {anonymous}::TexFilter::process_char(acommon::FilterChar::Chr)’:
modules/filter/tex.cpp:177:72: error: ISO C++ forbids comparison between pointer and integer [-fpermissive]
       if (top.in_what == Parm || top.in_what == Opt || top.do_check == '\0')
                                                                        ^~~~
make[1]: *** [Makefile:1504: modules/filter/tex.lo] Error 1
Comment 1 Jérôme Borme 2017-12-03 17:05:06 UTC
Portage 2.3.13 (python 2.7.14-final-0, default/linux/amd64/17.0/desktop, gcc-7.2.0, glibc-2.25-r9, 4.14.3-gentoo x86_64)
=================================================================
System uname: Linux-4.14.3-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600K_CPU_@_3.40GHz-with-gentoo-2.4.1
KiB Mem:    14324812 total,   5242380 free
KiB Swap:   17407996 total,  17404924 free
Timestamp of repository gentoo: Sat, 02 Dec 2017 12:30:01 +0000
Head commit of repository gentoo: a0d152a7a6bee296ad8730d8c854b641d8c4b28f
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.8.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo, 7.2.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

personnel
    location: /usr/overlays/personnel
    masters: gentoo
    priority: 0

palemoon
    location: /var/lib/layman/palemoon
    sync-uri: https://github.com/deu/palemoon-overlay.git
    masters: gentoo
    priority: 50

science
    location: /var/lib/layman/science
    masters: gentoo
    priority: 50

stuff
    location: /var/lib/layman/stuff
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -mtune=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -mtune=native"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --keep-going"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.dei.uc.pt/pub/linux/gentoo/ ftp://ftp.rnl.tecnico.ulisboa.pt/pub/gentoo/gentoo-distfiles/ ftp://gentoo.mirrors.ovh.net/gentoo-distfiles/ ftp://ftp.halifax.rwth-aachen.de/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo http://www.ibiblio.org/pub/Linux/distribution/gentoo http://distfiles.gentoo.org"
LANG="fr_FR.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j6"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--itemize-changes --recursive --links --safe-links --perms --times --omit-dir-times --omit-link-times --compress --force --whole-file --delete --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp/portage"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 c++0x cairo cdda cdr cli consolekit crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif glamor gpm gtk hal iconv icu idn ipv6 jpeg jpeg2k kde lcms ldap libnotify lzma mad mng modules mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pch pcre pdf pie png ppds qt3support qt4 qt5 readline sdl seccomp session spell ssl startup-notification svg tcpd threads tiff truetype udev unicode upower usb vim-syntax vorbis wxwidgets x264 xattr xcb xetex xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon krita sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" L10N="fr fr-FR" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr pt de pt_PT fr_FR" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby22" USERLAND="GNU" VIDEO_CARDS="radeon intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Jérôme Borme 2017-12-04 12:42:00 UTC
Created attachment 508022 [details]
Build log for app-text/aspell-0.60.6.1-r3 with gcc 7.2.0
Comment 3 Jonas Stein gentoo-dev 2017-12-04 16:22:13 UTC
http://aspell.net/man-html/ChangeLog.html
perhaps fixed in 

Changes from 0.60.6.1 to 0.60.7 (??, 2017)

    Add partial support for recognizing the Unicode apostrophe (’) in words. In particular Aspell will accept the Unicode apostrophe when the language uses an ISO Latin charset that doesn’t already have a Unicode apostrophe. For now, Aspell will still use the ASCII version in suggestions.
    Detect when a dictionary compiled on a 32-bit machine is used on a 64-bit one (and vise versa), as due to an oversight, compiled dictionaries depend on more than the endianness. Also added a compile time option to remove this dependency, but at the cost of breaking compatibility with already compiled dictionaries on 64-bit systems.
    Fix a bug which caused Aspell to crash when passing in a null string to almost any of the C API functions. This should not happen if the size is also zero as the pointer should never be derefrenced.
    In addition to outputting a warning when building with NDEBUG defined, also include NDEBUG in the version string.
    Various compile fixes for newer version of Gcc and Clang.
    Fix VPATH builds.
    Use utf-8 encoding for manual instead of iso-8859-1.
    Other minor updates and bug fixes.
Comment 4 Jérôme Borme 2017-12-04 18:20:04 UTC
(In reply to Jonas Stein from comment #3)
Correct, aspell-0.60.7_rc1 (~amd64) does compile. Thanks.
Comment 5 Sergei Trofimovich (RETIRED) gentoo-dev 2017-12-09 19:03:08 UTC
hppa stable
Comment 6 Sergei Trofimovich (RETIRED) gentoo-dev 2017-12-10 23:00:53 UTC
ppc/ppc64 stable
Comment 7 Sergei Trofimovich (RETIRED) gentoo-dev 2017-12-11 20:55:42 UTC
ia64 stable
Comment 8 Jason Zaman gentoo-dev 2017-12-19 05:16:13 UTC
amd64 stable
Comment 9 Markus Meier gentoo-dev 2018-01-22 18:23:49 UTC
arm stable
Comment 10 Tobias Klausmann (RETIRED) gentoo-dev 2018-01-29 08:34:54 UTC
Stable on alpha.
Comment 11 Thomas Bettler 2018-02-01 17:41:30 UTC
thanks for stabilization
-> no longer blocks gcc-7
Comment 12 Thomas Bettler 2018-02-01 17:41:53 UTC
thanks for stabilization
-> thus no longer blocks gcc-7, right?
Comment 13 Pacho Ramos gentoo-dev 2018-02-02 17:47:37 UTC
it still needs to be stabilized on x86
Comment 14 Larry the Git Cow gentoo-dev 2018-02-02 23:36:42 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75ee0dd5bd87329b676574445cb5c7c6b6c991d3

commit 75ee0dd5bd87329b676574445cb5c7c6b6c991d3
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2018-02-02 23:35:21 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2018-02-02 23:36:31 +0000

    app-text/aspell: stabilise 0.60.7_rc1 for x86
    
    Bug: https://bugs.gentoo.org/639646
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-text/aspell/aspell-0.60.7_rc1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}